Bug 1487933 - early crash before reaching main()
Summary: early crash before reaching main()
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: LuxRender
Version: 26
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Nicolas Chauvet (kwizart)
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On: 1412089
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-09-03 12:49 UTC by Przemek Klosowski
Modified: 2017-09-30 06:23 UTC (History)
5 users (show)

Fixed In Version: LuxRender-1.6-22.fc26 LuxRender-1.6-22.fc25 LuxRender-1.6-22.fc27
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-09-23 20:21:24 UTC
Type: Bug


Attachments (Terms of Use)

Description Przemek Klosowski 2017-09-03 12:49:28 UTC
Description of problem:
LuxRender crashes in startup before reaching main()


Version-Release number of selected component (if applicable):
LuxRender-1.6-20.fc26.x86_64


How reproducible: every time


Steps to Reproduce:
1. luxrender

Actual results:
*** Error in `luxrender': realloc(): invalid pointer: 0x00007f1bcb3440c0 ***
======= Backtrace: =========
/lib64/libc.so.6(+0x7c8dc)[0x7f1bc47278dc]
/lib64/libc.so.6(realloc+0x3fd)[0x7f1bc4738a6d]
/lib64/libQt5Core.so.5(_ZN9QListData12realloc_growEi+0x31)[0x7f1bb92a38b1]
/lib64/libQt5Core.so.5(_ZN9QListData6appendEi+0x4f)[0x7f1bb92a394f]
/lib64/libQt5Core.so.5(+0x1afd60)[0x7f1bb935ad60]
/lib64/libQt5Core.so.5(_Z21qRegisterResourceDataiPKhS0_S0_+0x274)[0x7f1bb9356a34]
/lib64/libQt5Core.so.5(+0x7ea03)[0x7f1bb9229a03]
/lib64/ld-linux-x86-64.so.2(+0x10d73)[0x7f1bcd3cbd73]
/lib64/ld-linux-x86-64.so.2(+0xe0a)[0x7f1bcd3bbe0a]
.....

Expected results:  not crashing?

Comment 1 Luya Tshimbalanga 2017-09-03 21:25:50 UTC
It looks like a old bug is back. Possibly an issue related to either OpenImageIO or embree:
http://www.luxrender.net/forum/viewtopic.php?f=21&t=13248

Comment 2 Luya Tshimbalanga 2017-09-06 03:55:04 UTC
Hello Przemek,

Could you update OpenImageIO to see that LuxRender works again?
See https://bodhi.fedoraproject.org/updates/FEDORA-2017-b8da6827d7

Result from terminal with updated OpenImageIO-1.7.17-2:
 
luxrender 
[Lux 2017-Sep-05 20:44:11 INFO : 0] Lux version 1.6.0  Build 0 of Aug 18 2017 at 21:14:43
[Lux 2017-Sep-05 20:44:11 INFO : 0] Threads: 4

Comment 3 Przemek Klosowski 2017-09-07 13:04:45 UTC
version 1.7.17-2.fc26 from updates-testing works for me. I left karma.

Comment 4 Fedora Update System 2017-09-13 18:12:27 UTC
LuxRender-1.6-21.fc26 YafaRay-3.3.0-2.fc26 has been submitted as an update to Fedora 26. https://bodhi.fedoraproject.org/updates/FEDORA-2017-8b71e5e5b5

Comment 5 Fedora Update System 2017-09-13 18:12:37 UTC
LuxRender-1.6-21.fc25 YafaRay-3.3.0-2.fc25 has been submitted as an update to Fedora 25. https://bodhi.fedoraproject.org/updates/FEDORA-2017-29553ab882

Comment 6 Fedora Update System 2017-09-13 18:12:42 UTC
LuxRender-1.6-21.fc27 YafaRay-3.3.0-2.fc27 has been submitted as an update to Fedora 27. https://bodhi.fedoraproject.org/updates/FEDORA-2017-3bfe25f966

Comment 7 Fedora Update System 2017-09-14 04:53:30 UTC
LuxRender-1.6-21.fc26, YafaRay-3.3.0-2.fc26 has been pushed to the Fedora 26 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-8b71e5e5b5

Comment 8 Fedora Update System 2017-09-14 05:50:33 UTC
LuxRender-1.6-21.fc25, YafaRay-3.3.0-2.fc25 has been pushed to the Fedora 25 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-29553ab882

Comment 9 Fedora Update System 2017-09-14 18:21:50 UTC
LuxRender-1.6-21.fc27, YafaRay-3.3.0-2.fc27 has been pushed to the Fedora 27 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-3bfe25f966

Comment 10 Fedora Update System 2017-09-14 18:40:26 UTC
LuxRender-1.6-21.fc27 YafaRay-3.3.0-2.fc27 has been submitted as an update to Fedora 27. https://bodhi.fedoraproject.org/updates/FEDORA-2017-3bfe25f966

Comment 11 Fedora Update System 2017-09-14 18:41:06 UTC
LuxRender-1.6-21.fc25 YafaRay-3.3.0-2.fc25 has been submitted as an update to Fedora 25. https://bodhi.fedoraproject.org/updates/FEDORA-2017-29553ab882

Comment 12 Fedora Update System 2017-09-14 18:42:05 UTC
LuxRender-1.6-21.fc26 YafaRay-3.3.0-2.fc26 has been submitted as an update to Fedora 26. https://bodhi.fedoraproject.org/updates/FEDORA-2017-8b71e5e5b5

Comment 13 Fedora Update System 2017-09-14 19:29:16 UTC
LuxRender-1.6-22.fc27 YafaRay-3.3.0-3.fc27 alembic-1.7.3-1.fc27 blender-2.79-1.fc27 openvdb-4.0.2-1.fc27 has been submitted as an update to Fedora 27. https://bodhi.fedoraproject.org/updates/FEDORA-2017-00917a13b3

Comment 14 Fedora Update System 2017-09-14 19:29:55 UTC
LuxRender-1.6-22.fc27 YafaRay-3.3.0-3.fc27 alembic-1.7.3-1.fc27 blender-2.79-1.fc27 openvdb-4.0.2-1.fc27 has been submitted as an update to Fedora 27. https://bodhi.fedoraproject.org/updates/FEDORA-2017-00917a13b3

Comment 15 Fedora Update System 2017-09-14 19:30:52 UTC
LuxRender-1.6-22.fc26 YafaRay-3.3.0-3.fc26 alembic-1.7.3-1.fc26 blender-2.79-1.fc26 openvdb-4.0.2-1.fc26 has been submitted as an update to Fedora 26. https://bodhi.fedoraproject.org/updates/FEDORA-2017-8555b65993

Comment 16 Fedora Update System 2017-09-14 19:31:18 UTC
LuxRender-1.6-22.fc26 YafaRay-3.3.0-3.fc26 alembic-1.7.3-1.fc26 blender-2.79-1.fc26 openvdb-4.0.2-1.fc26 has been submitted as an update to Fedora 26. https://bodhi.fedoraproject.org/updates/FEDORA-2017-8555b65993

Comment 17 Fedora Update System 2017-09-14 19:32:21 UTC
LuxRender-1.6-22.fc25 YafaRay-3.3.0-3.fc25 alembic-1.7.3-1.fc25 blender-2.79-1.fc25 openvdb-4.0.2-1.fc25 has been submitted as an update to Fedora 25. https://bodhi.fedoraproject.org/updates/FEDORA-2017-1086f5aa62

Comment 18 Fedora Update System 2017-09-14 19:32:46 UTC
LuxRender-1.6-22.fc25 YafaRay-3.3.0-3.fc25 alembic-1.7.3-1.fc25 blender-2.79-1.fc25 openvdb-4.0.2-1.fc25 has been submitted as an update to Fedora 25. https://bodhi.fedoraproject.org/updates/FEDORA-2017-1086f5aa62

Comment 19 Fedora Update System 2017-09-15 04:50:07 UTC
LuxRender-1.6-21.fc25, YafaRay-3.3.0-2.fc25 has been pushed to the Fedora 25 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-29553ab882

Comment 20 Fedora Update System 2017-09-15 04:51:59 UTC
LuxRender-1.6-21.fc26, YafaRay-3.3.0-2.fc26 has been pushed to the Fedora 26 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-8b71e5e5b5

Comment 21 Fedora Update System 2017-09-15 16:52:28 UTC
LuxRender-1.6-22.fc27, YafaRay-3.3.0-3.fc27, alembic-1.7.3-1.fc27, blender-2.79-1.fc27, openvdb-4.0.2-1.fc27 has been pushed to the Fedora 27 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-00917a13b3

Comment 22 Fedora Update System 2017-09-16 04:22:15 UTC
LuxRender-1.6-22.fc26, YafaRay-3.3.0-3.fc26, alembic-1.7.3-1.fc26, blender-2.79-1.fc26, openvdb-4.0.2-1.fc26 has been pushed to the Fedora 26 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-8555b65993

Comment 23 Fedora Update System 2017-09-16 05:26:14 UTC
LuxRender-1.6-22.fc25, YafaRay-3.3.0-3.fc25, alembic-1.7.3-1.fc25, blender-2.79-1.fc25, openvdb-4.0.2-1.fc25 has been pushed to the Fedora 25 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-1086f5aa62

Comment 24 Fedora Update System 2017-09-23 20:21:24 UTC
LuxRender-1.6-22.fc26, YafaRay-3.3.0-3.fc26, alembic-1.7.3-1.fc26, blender-2.79-1.fc26, openvdb-4.0.2-1.fc26 has been pushed to the Fedora 26 stable repository. If problems still persist, please make note of it in this bug report.

Comment 25 Fedora Update System 2017-09-24 04:50:13 UTC
LuxRender-1.6-22.fc25, YafaRay-3.3.0-3.fc25, alembic-1.7.3-1.fc25, blender-2.79-1.fc25, openvdb-4.0.2-1.fc25 has been pushed to the Fedora 25 stable repository. If problems still persist, please make note of it in this bug report.

Comment 26 Fedora Update System 2017-09-30 06:23:09 UTC
LuxRender-1.6-22.fc27, YafaRay-3.3.0-3.fc27, alembic-1.7.3-1.fc27, blender-2.79-1.fc27, openvdb-4.0.2-1.fc27 has been pushed to the Fedora 27 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.